package com.pcloud.book.book.vo;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 平台端书刊分析VO接口类
 */
public class BookAnalysic4PCVO implements Serializable {

    @ApiModelProperty("书刊名称")
    private String bookName;
    @ApiModelProperty("条形码")
    private String isbn;
    @ApiModelProperty("书刊分类")
    private Long templetId;
    @ApiModelProperty("只看基金书")
    private Boolean isFundSupport;
    @ApiModelProperty("数据统计年月")
    private String statisTime;
    @ApiModelProperty("出版社")
    private List<Long> agentIds;
    @ApiModelProperty("编辑")
    private List<Long> adviserIds;
    @ApiModelProperty("出版社")
    private Integer numPerPage;
    @ApiModelProperty("出版社")
    private Integer currentPage;

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    public Long getTempletId() {
        return templetId;
    }

    public void setTempletId(Long templetId) {
        this.templetId = templetId;
    }

    public Boolean getIsFundSupport() {
        return isFundSupport;
    }

    public void setIsFundSupport(Boolean isFundSupport) {
        this.isFundSupport = isFundSupport;
    }

    public String getStatisTime() {
        return statisTime;
    }

    public void setStatisTime(String statisTime) {
        this.statisTime = statisTime;
    }

    public List<Long> getAgentIds() {
        return agentIds;
    }

    public void setAgentIds(List<Long> agentIds) {
        this.agentIds = agentIds;
    }

    public List<Long> getAdviserIds() {
        return adviserIds;
    }

    public void setAdviserIds(List<Long> adviserIds) {
        this.adviserIds = adviserIds;
    }

    public Integer getNumPerPage() {
        return numPerPage;
    }

    public void setNumPerPage(Integer numPerPage) {
        this.numPerPage = numPerPage;
    }

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    @Override
    public String toString() {
        return "BookAnalysic4PCVO{" +
                "bookName='" + bookName + '\'' +
                ", isbn='" + isbn + '\'' +
                ", templetId=" + templetId +
                ", isFundSupport=" + isFundSupport +
                ", statisTime='" + statisTime + '\'' +
                ", agentIds=" + agentIds +
                ", adviserIds=" + adviserIds +
                ", numPerPage=" + numPerPage +
                ", currentPage=" + currentPage +
                '}';
    }
}
